| Kinetis SDK v.2.0 API Reference Manual Rev. 0 Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- API Reference

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Files | Data Structures
DSPI µCOS/II Driver
DSPI: Serial Peripheral Interface Driver

## Overview

## Files
file | fsl_dspi_ucosii.h

## Data Structures
struct | dspi_rtos_handle_t
| DSPI FreeRTOS handle. More...

## Driver version
#define | FSL_DSPI_UCOSII_DRIVER_VERSION (MAKE_VERSION(2, 0, 0))
| DSPI µC/OS-II driver version 2.0.0. More...

## DSPI RTOS Operation
status_t | DSPI_RTOS_Init (dspi_rtos_handle_t *handle, SPI_Type *base, const dspi_master_config_t *masterConfig, uint32_t srcClock_Hz)
| Initializes DSPI. More...
status_t | DSPI_RTOS_Deinit (dspi_rtos_handle_t *handle)
| Deinitializes the DSPI. More...
status_t | DSPI_RTOS_Transfer (dspi_rtos_handle_t *handle, dspi_transfer_t *transfer)
| Performs SPI transfer. More...

## Data Structure Documentation

struct dspi_rtos_handle_t

DSPI µC/OS-III handle.

DSPI µC/OS-II handle.

### Data Fields
SPI_Type * | base
| DSPI base address.
dspi_master_handle_t | drv_handle
| Handle of the underlying driver, treated as opaque by the RTOS layer.
SemaphoreHandle_t | mutex
| Mutex to lock the handle during a transfer.
SemaphoreHandle_t | event
| Semaphore to notify and unblock task when transfer ends.
OS_EVENT * | mutex
| Mutex to lock the handle during a transfer.
OS_FLAG_GRP * | event
| Semaphore to notify and unblock task when transfer ends.
OS_SEM | mutex
| Mutex to lock the handle during a transfer.
OS_FLAG_GRP | event
| Semaphore to notify and unblock task when transfer ends.

## Macro Definition Documentation

#define FSL_DSPI_UCOSII_DRIVER_VERSION (MAKE_VERSION(2, 0, 0))

## Function Documentation

status_t DSPI_RTOS_Init | ( | dspi_rtos_handle_t * | handle,
|  | SPI_Type * | base,
|  | const dspi_master_config_t * | masterConfig,
|  | uint32_t | srcClock_Hz
| ) |  |

This function initializes the DSPI module and related RTOS context.

Parameters

  handle | The RTOS DSPI handle, the pointer to an allocated space for RTOS context.
  base | The pointer base address of the DSPI instance to initialize.
  masterConfig | Configuration structure to set-up DSPI in master mode.
  srcClock_Hz | Frequency of input clock of the DSPI module.

Returns
  status of the operation.

status_t DSPI_RTOS_Deinit | ( | dspi_rtos_handle_t * | handle | ) |

This function deinitializes the DSPI module and related RTOS context.

Parameters

  handle | The RTOS DSPI handle.

status_t DSPI_RTOS_Transfer | ( | dspi_rtos_handle_t * | handle,
|  | dspi_transfer_t * | transfer
| ) |  |

This function performs an SPI transfer according to data given in the transfer structure.

Parameters

  handle | The RTOS DSPI handle.
  transfer | Structure specifying the transfer parameters.

Returns
  status of the operation.